Bug 628027 - SELinux is preventing /sbin/consoletype "read" access on /var/log/pm-suspend.log.
Summary: SELinux is preventing /sbin/consoletype "read" access on /var/log/pm-sus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:876efb97437...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-27 17:13 UTC by Gene Snider
Modified: 2010-09-08 04:32 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:32:35 UTC


Attachments (Terms of Use)

Description Gene Snider 2010-08-27 17:13:03 UTC
Summary:

SELinux is preventing /sbin/consoletype "read" access on
/var/log/pm-suspend.log.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by consoletype. It is not expected that this
access is required by consoletype and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:consoletype_t:s0
Target Context                system_u:object_r:hald_log_t:s0
Target Objects                /var/log/pm-suspend.log [ file ]
Source                        consoletype
Source Path                   /sbin/consoletype
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           initscripts-9.17-2.fc14
Target RPM Packages           pm-utils-1.3.0-1.fc13
Policy RPM                    selinux-policy-3.9.0-1.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.4-12.fc14.x86_64 #1 SMP Fri
                              Aug 27 07:45:05 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 27 Aug 2010 10:05:16 AM PDT
Last Seen                     Fri 27 Aug 2010 10:05:16 AM PDT
Local ID                      bebbd391-fd24-43e7-aba3-0a0ac828f774
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282928716.143:22): avc:  denied  { read } for  pid=3537 comm="consoletype" path="/var/log/pm-suspend.log" dev=dm-3 ino=131454 scontext=system_u:system_r:consoletype_t:s0 tcontext=system_u:object_r:hald_log_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282928716.143:22): arch=c000003e syscall=59 success=yes exit=0 a0=13e7900 a1=13e63a0 a2=13e65b0 a3=0 items=0 ppid=3536 pid=3537 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="consoletype" exe="/sbin/consoletype" subj=system_u:system_r:consoletype_t:s0 key=(null)



Hash String generated from  catchall,consoletype,consoletype_t,hald_log_t,file,read
audit2allow suggests:

#============= consoletype_t ==============
allow consoletype_t hald_log_t:file read;

Comment 1 Daniel Walsh 2010-08-30 14:27:00 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 16:00:00 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:42 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:30:52 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.